package com.jware.util.mail;

import java.io.Serializable;

/**
 * @author jrmt
 */
public class MassMailData extends BaseMailData  implements Serializable{

    private BaseMailData beforeMail;
	private BaseMailData afterMail;
	private String updateFlag;
	private String contentTitle;
	
	/**
	 * @return Returns the afterMail.
	 */
	public BaseMailData getAfterMail() {
		return afterMail;
	}
	/**
	 * @param afterMail The afterMail to set.
	 */
	public void setAfterMail(BaseMailData afterMail) {
		this.afterMail = afterMail;
	}
	/**
	 * @return Returns the beforeMail.
	 */
	public BaseMailData getBeforeMail() {
		return beforeMail;
	}
	/**
	 * @param beforeMail The beforeMail to set.
	 */
	public void setBeforeMail(BaseMailData beforeMail) {
		this.beforeMail = beforeMail;
	}
	/**
	 * @return Returns the contentTitle.
	 */
	public String getContentTitle() {
		return contentTitle;
	}
	/**
	 * @param contentTitle The contentTitle to set.
	 */
	public void setContentTitle(String contentTitle) {
		this.contentTitle = contentTitle;
	}
	/**
	 * @return Returns the updateFlag.
	 */
	public String getUpdateFlag() {
		return updateFlag;
	}
	/**
	 * @param updateFlag The updateFlag to set.
	 */
	public void setUpdateFlag(String updateFlag) {
		this.updateFlag = updateFlag;
	}
}
